Gets name

- « ReflectionConstant::getFileName

- ReflectionConstant::getNamespaceName »

- PHP Manual
- ReflectionConstant
- Gets name

# ReflectionConstant::getName

(PHP 8 >= 8.4.0)

ReflectionConstant::getName — Gets name

### Description

public ReflectionConstant::getName(): string

Gets the name of the constant.

### Parameters

This function has no parameters.

### Return Values

The constants name, which is composed of its namespace and name.

### Examples

Example #1 ReflectionConstant::getName() example

    <?php
    namespace Foo;

    const BAR = 'bar';

    echo (new \ReflectionConstant('Foo\BAR'))->getName();
    ?>

The above example will output:

    Foo\BAR

### See Also

- ReflectionConstant::getNamespaceName() - Gets namespace name